//
//      Copyright Timothy Evans 2014 2015   timothy.evans@gsecraif.org
//
//      This file is part of gsecraif.
//
//      gsecraif is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      See gsecraif.cpp
//
// =====================================================================
//
// print help
//
// $Date$
// $Revision$
// =====================================================================
//
// Compile with g++
#include "print_help.h"

using namespace std;
void print_help(char *programmename)
{
    vector<string> options;
    //gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4) does not seem to work
    // { } initialization        
    options.push_back(OPTION_HELP);
    options.push_back(OPTION_VERSION);
    options.push_back(OPTION_COMBINE);    
    options.push_back(OPTION_DEBUG);
    options.push_back(OPTION_NFILES);
    options.push_back(OPTION_PREFIX);
    options.push_back(OPTION_ROTATE);
    options.push_back(OPTION_TRANSPOSE);
    options.push_back(OPTION_HASH);
    vector<string>::iterator option;
    const string purpose = PURPOSE;    
    const string usage = USAGE;
    const string description = DESCRIPTION;

    cout << programmename << "\n";
    cout << "\n";
    cout << purpose << "\n";
    cout << "\n";
    cout << description << "\n";   
    cout << "\n";
    cout << usage << "\n";
    cout << "\n";

    for (option = options.begin(); option != options.end(); ++option) {
        cout << *option << "\n";
        }
}  // end of function
